[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4758: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3893)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4760: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3893)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4761: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3893)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4762: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3893)
linuxtv.fi • View topic - vdr 2.3.x

vdr 2.3.x

VDR ja DVB aiheista keskustelua

vdr 2.3.x

Postby ppaalto » 25.10.2015 20:52

http://linuxtv.org/pipermail/vdr/2015-S ... 28872.html

Aika hiljaista palstalla on, kun huomasin uuden version vasta nyt. Ilmeisesti ajantasainen keskustelu siirtynyt someen tai jonnekin...
Pikaisesti katsoen rikkoo aika monta pluginia (xineliboutput?)

- Commented out the line
#define DEPRECATED_VIDEOSYSTEM
in device.h. If a plugin doesn't compile with this version of VDR, you can uncomment
this line as a quick workaround. In the long run the plugin will need to be adapted.
- The function cOsd::GetBitmap() is now 'protected'. If a plugin doesn't compile with
this version of VDR, you can uncomment the line
//#define DEPRECATED_GETBITMAP
in osd.h as a quick workaround. In the long run the plugin will need to be adapted.


SVDRP-puoleen toiminallisia muutoksia:
- The SVDRP port now accepts multiple concurrent connections. You can now keep an
SVDRP connection open as long as you wish, without preventing others from
connecting. Note, though, that SVDRP connections still get closed automatically
if there has been no activity for 300 seconds (configurable via
"Setup/Miscellaneous/SVDRP timeout (s)").

Tämä johtaa aika moniin muutoksiin ohjelmassa....

Lisäksi tuossa on aika monta korjausta, mutta ilmeisesti uutta stabiilia ei ole ilmestynyt.

PasiA
ppaalto
Asiantuntija
 
Posts: 140
Joined: 02.12.2005 23:38

Re: vdr 2.3.x

Postby seppoi » 13.02.2016 23:14

VNSI plugin toimii 2.3.1:n kanssa, joten olen sitä käyttänyt, mutta vaihdan luultavasti vanhaan versioon.

Suurin ongelma on että automaattiset ajastukset epgsearch ja vdradmin-am -systeemillä toimii epäluotettavasti. Game of Thrones ja uusi X-files menee tämän vuoksi Blu-Ray boxien ostoksi. Vdr portaalissa on linkki epgsearch gittiin http://www.vdr-portal.de/board17-develo ... pgsearch-für-vdr-2-3-x/ joka kääntyy, mutta ajastuksien satunnaisella toimimattomuudella. Epgsearch pluginia ei ole päivitetty aikoihin ja tuolla muillla on ilmeisesti ollut ongelmia ymmärtää mitä pluginissa tapahtuu.

Onko ohjelmien automaattiseen ajastukseen muita vaihtoehtoja? Itselleni olisi paras jos mahdollisimman paljon toiminnallisuutta menisi Kodi:n käyttöliittymän alle.
seppoi
Isäntä
 
Posts: 94
Joined: 16.09.2006 10:38
Location: Tampere

Re: vdr 2.3.x

Postby tikola » 04.01.2017 12:43

Onko tämä edennyt, eli missä vaiheessa uskaltaa siirtyä nykyisestä toimivasta 2.2.0 maailmasta tuonne 2.3.x tasolle? Lähinnä siis mikä on tuon minullekkin kriittisen EPGSearch pluginin tila. Saksan foorumilla viimeiset keskustelut ovat toukokuulta 2016, joten onko käytännön kokemusta mihin tämä silloin päätyi ja onko se edistynyt siitä sen jälkeen? Toki jos EPGSearch pluginille on olemassa, jokin korvaava moderni vaihtoehto, niin sekin passaa.
tikola
Säätäjä
 
Posts: 226
Joined: 31.03.2009 11:35
Location: Vantaa

Re: vdr 2.3.x

Postby tikola » 30.05.2017 16:51

Ilmeisesti VDR Live ja EPGSearch plugareiden porttaus 2.3.x maailmaan on muitakin kiinnostava aihe, koska k.o. topicit ovat VDR-Portalissa ihan kärkipäätä. Porttaus siis edennee - sikäli kun saksaa osaan lukea. Onko joku saanut niitä jo kotimaassa toimimaan hyvin itse kääntämällä? Henkilökohtaisesti maltan odotella kunnes ne ilmaantuvat jonnekkin Ubuntun pakettivarastoihin ja nykyinen serveri menköön 2.2 versiolla. Kieltämättä pikkuisen haastetta aiheuttaa se, että Ubuntu koettaa päivittää paketteja tuoreempiin, joten ihan surutta mitään "update all", komentoa ei tuon takia voi nyt antaa.

Kesän mittaan on tarkoitus kasata uusi serveri ja sitä pohdin tohtisiko silloin jo mennä tuohon tuoreempaan 2.3.x maailmaan
tikola
Säätäjä
 
Posts: 226
Joined: 31.03.2009 11:35
Location: Vantaa

Re: vdr 2.3.x

Postby ppaalto » 30.05.2017 17:06

epgsearchin sain käännettyä
git clone git://projects.vdr-developer.org/vdr-plugin-epgsearch


liveä en
git clone -b vdr-2.3.x_work git://github.com/jasmin-j/vdr-plugin-live

multischedule.ecpp: In member function 'virtual unsigned int {anonymous}::_component_::operator()(tnt::HttpRequest&, tnt::HttpReply&, tnt::QueryParams&)':
multischedule.ecpp:319:50: error: ISO C++ forbids comparison between pointer and integer [-fpermissive]
if ( Channel->GroupSep() || Channel->Name() == '\0' )

Alustana siis viimeisin arch
boost 1.64.0-1
boost-libs 1.64.0-1

gcc 7.1.1-2
gcc-libs 7.1.1-2

Muistaakseni täältäkin tuli usimmalla vdr:llä virhe
git://github.com/rofafor/vdr-plugin-live


recman.cpp:302:43: error: expected primary-expression before '>' token
m_recDirs = shared_ptr< DirectoryList >(new DirectoryList(recMan));
^
recman.cpp: At global scope:
recman.cpp:591:32: error: expected constructor, destructor, or type conversion before '(' token
RecordingsList::RecordingsList(shared_ptr< RecordingsList > recList, bool ascending) :
^
recman.cpp:605:32: error: expected constructor, destructor, or type conversion before '(' token
RecordingsList::RecordingsList(shared_ptr< RecordingsList > recList, time_t begin, time_t end, bool ascending) :


PasiA
ppaalto
Asiantuntija
 
Posts: 140
Joined: 02.12.2005 23:38

Re: vdr 2.3.x

Postby tikola » 31.05.2017 11:37

tikola
Säätäjä
 
Posts: 226
Joined: 31.03.2009 11:35
Location: Vantaa

Re: vdr 2.3.x

Postby ppaalto » 31.05.2017 19:38

Tuoltahan tuota voi tutkia
https://projects.vdr-developer.org/git/ ... earch.git/

toi 2.3 master-haara on eronnut vanhasta vasta kuukausi sitten. vanhakin on siis vielä elossa.

Kyllä toi livekin varmaan kääntyy jossain toisessa distrossa. Jotenkinhan noi kehittäjät (kuten rotafor) ovat saaneet sen kääntymään.

PasiA
ppaalto
Asiantuntija
 
Posts: 140
Joined: 02.12.2005 23:38

Re: vdr 2.3.x

Postby P.Kosunen » 01.06.2017 11:25

P.Kosunen
Yli-ihminen
 
Posts: 1131
Joined: 06.11.2005 14:08
Location: Helsinki

Re: vdr 2.3.x

Postby tikola » 01.06.2017 11:44

OK - pitänee siis ryhtyä totuttelemaan VDRAdminAM ja Live sekakäyttäjäksi, niin sitten päivityksen voisi tehdä vaikka saman tien, eli kaikki minun kaipaama toimii myös 2.3.x maailmassa.

Kiitoksia ajantasaistuksesta,

Timo
tikola
Säätäjä
 
Posts: 226
Joined: 31.03.2009 11:35
Location: Vantaa

Re: vdr 2.3.x

Postby Rene » 02.09.2017 11:03

User avatar
Rene
Yli-ihminen
 
Posts: 642
Joined: 10.10.2004 3:00
Location: Espoo

Re: vdr 2.3.x

Postby rofafor » 02.09.2017 20:59

Käännät mitä luultavammin vanhoja kernel-headereita vasten. Tarvitset käyttöösi kernelin DVB API v5:n.
User avatar
rofafor
Optikkoliikkeen kopiovastaava
 
Posts: 1365
Joined: 26.03.2004 3:00
Location: Internet

Re: vdr 2.3.x

Postby Rene » 02.09.2017 23:09

User avatar
Rene
Yli-ihminen
 
Posts: 642
Joined: 10.10.2004 3:00
Location: Espoo

Re: vdr 2.3.x

Postby rofafor » 03.09.2017 12:54

https://git.kernel.org/pub/scm/linux/ke ... 78f886bdad

DVBAPIv5:n statistiikat lisättiin reilu vuosi ennen 3.13:n julkaisua. Ihmettelisin syvästi, jos Ubuntu pätsäisi "uusia" apeja pois kerneleistään. Mitä luultavammin et vain käännä VDR:ääsi kernelin headereita vasten.
User avatar
rofafor
Optikkoliikkeen kopiovastaava
 
Posts: 1365
Joined: 26.03.2004 3:00
Location: Internet

Re: vdr 2.3.x

Postby Rene » 03.09.2017 13:02

User avatar
Rene
Yli-ihminen
 
Posts: 642
Joined: 10.10.2004 3:00
Location: Espoo

Re: vdr 2.3.x

Postby Rene » 03.09.2017 13:09

User avatar
Rene
Yli-ihminen
 
Posts: 642
Joined: 10.10.2004 3:00
Location: Espoo

Next

Return to VDR & DVB

Who is online

Users browsing this forum: No registered users and 1 guest

cron